Skip to main content
POST
cURL
This is the Grok Video API text to video endpoint. Generate videos from prompt only, without any media files.
Warning: NSFW content is not allowed. A single or occasional moderation failure will not incur any charges. However, repeated moderation failures may result in charges.

Authorizations

TT-API-KEY
string
header
required

You can obtain your API key from the TTAPI Dashboard.

Body

application/json

Text to video request parameters

prompt
string
required

Prompt. Maximum length is 4096 characters for grok-imagine-video, grok-imagine-video-1.5 and grok-imagine-video-1.5-lite; grok-imagine-video-1.5-fast supports longer prompts.

model
enum<string>
default:grok-imagine-video-1.5-fast

Model name.

Available options:
grok-imagine-video-1.5-fast,
grok-imagine-video,
grok-imagine-video-1.5,
grok-imagine-video-1.5-lite
Example:

"grok-imagine-video-1.5-fast"

aspect_ratio
enum<string>
default:16:9

Video aspect ratio

Available options:
2:3,
3:2,
1:1,
9:16,
16:9
video_length
string
default:10

Video duration in seconds. grok-imagine-video-1.5-fast range: 6 to 30 (6s and 10s are standard durations); grok-imagine-video, grok-imagine-video-1.5 and grok-imagine-video-1.5-lite range: 1 to 15.

resolution_name
enum<string>
default:720p

Output resolution. 480p and 720p are supported by all models; 1080p is only supported by grok-imagine-video-1.5 and grok-imagine-video-1.5-lite (1080P is upscaled from 720P).

Available options:
480p,
720p,
1080p
hook_url
string

Callback URL address. When the task completes or fails, notifications will be sent to this address. The notification data structure is consistent with the fetch structure [blocked]. If not set, you need to call the fetch endpoint [blocked] to query the result

Example:

"https://example.com/callback"

Response

Request successful

status
string
required
Example:

"SUCCESS"

message
string
required
Example:

"success"

data
object
required
Example:
Last modified on September 9, 2026